import React from 'react'
import { useDrag } from 'react-dnd'
import './index.scss'

const MobSourceElement = ({item}) => {
  const [, drag] = useDrag({ item })
  return (
    <div className={'menu-source-item ' + item.component + '-' + item.subtype}>
      <div className="property"><span>{item.title}</span></div>
      <img ref={drag} src={item.url} alt=""/>
    </div>
  )
}
export default MobSourceElement